{% extends 'base.html' %}
{% block nav-proyecto %}
    <li class="nav-item active">
        <a class="nav-link" href="{% url 'Proyecto:index' %}">Proyecto <span class="sr-only">(current)</span> </a>
    </li>
{% endblock %}
{% block content %}

    {% if form.errors %}
        <div class="alert alert-danger" role="alert">
            ERROR AL GUARDAR
        </div>
    {% endif %}
    <div class="container mb-5">
        <div class="py-5 text-center ">
            <h1 class="text-light"> Ver Detalles del Rol </h1>
        </div>

        <div class="bg-light border rounded border-dark p-3">

            <form method="POST">
                <div style="display: none;">
                    {{ formVerRolProyecto.idProyecto }}
                </div>
                <div class="m-3 ">
                    <label class="form-label">Nombre</label>
                    {{ formVerRolProyecto.nombre }}
                </div>
                <div class="m-3 ">
                    <label class="form-label">Descripcion</label>
                    {{ formVerRolProyecto.descripcion }}
                </div>
                <div class="py-5 text-center ">
                    <h4 class="text-dark"> Permisos: </h4>
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Agregar User Story</label>
                    <input type="checkbox" {% if rol.agregarUserStory %} checked {% endif %} disabled>
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Eliminar User Story</label>
                    <input type="checkbox" {% if rol.eliminarUserStory %} checked {% endif %} disabled>
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Modificar User Story</label>
                    <input type="checkbox" {% if rol.modificarUserStory %} checked {% endif %} disabled>
                </div>

                <div class="m-3 ">
                    <label class="form-check-label">Agregar Miembro</label>
                    <input type="checkbox" {% if rol.agregarMiembro %} checked {% endif %} disabled>
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Modificar Miembro</label>
                    <input type="checkbox" {% if rol.modificarMiembro %} checked {% endif %} disabled>
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Eliminar Miembro</label>
                    <input type="checkbox" {% if rol.eliminarMiembro %} checked {% endif %} disabled>
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Crear Rol</label>
                    <input type="checkbox" {% if rol.crearRol %} checked {% endif %} disabled>
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Modificar Rol</label>
                    <input type="checkbox" {% if rol.modificarRol %} checked {% endif %} disabled>
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Eliminar Rol</label>
                    <input type="checkbox" {% if rol.eliminarRol %} checked {% endif %} disabled>
                </div>

                <!-- Nuevos -->
                <div class="m-3 ">
                    <label class="form-check-label">Crear Sprint</label>
                    <input type="checkbox" {% if rol.crearSprint %} checked {% endif %} disabled>
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Empezar Sprint</label>
                    <input type="checkbox" {% if rol.empezarSprint %} checked {% endif %} disabled>
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Finalizar Sprint</label>
                    <input type="checkbox" {% if rol.finalizarSprint %} checked {% endif %} disabled>
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Agregar Sprint Backlog</label>
                    <input type="checkbox" {% if rol.agregarSprintBacklog %} checked {% endif %} disabled>
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Modificar Sprint Backlog</label>
                    <input type="checkbox" {% if rol.modificarSprintBacklog %} checked {% endif %} disabled>
                </div>


                <a class="btn btn-secondary" href="{% url 'Proyecto:RolesProyecto' idProyecto %}"
                   role="button">Volver</a>
                {% csrf_token %}
            </form>
        </div>
    </div>
{% endblock %}